Bug 652803 - Review Request: adf-gillius-fonts - Gillius ADF sans-serif typeface family
Summary: Review Request: adf-gillius-fonts - Gillius ADF sans-serif typeface family
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-12 19:56 UTC by Michael J Gruber
Modified: 2010-12-01 22:03 UTC (History)
4 users (show)

Fixed In Version: adf-gillius-fonts-1.008-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-01 21:53:49 UTC
susi.lehtola: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Michael J Gruber 2010-11-12 19:56:53 UTC
Spec URL: http://mjg.fedorapeople.org/rpmdev/arkandis-gillius-fonts.spec
SRPM URL: http://mjg.fedorapeople.org/rpmdev/arkandis-gillius-fonts-1.008-1.fc14.src.rpm
Description:
The Gillius family from the Arkandis Digital Foundry is a set of sans-serif
typefaces intended as an alternative to Gill Sans. Its two widths, regular and
condensed, both feature a roman and an italic, and each includes a medium and
bold weight.

A slightly rounder variant, Gillius ADF No2, features the same set of weights,
widths, and slopes.

Comment 1 Michael J Gruber 2010-11-12 19:59:40 UTC
generated rpm is rpmlint clean

scratch build at

https://koji.fedoraproject.org/koji/taskinfo?taskID=2598020

Comment 2 Michael J Gruber 2010-11-15 08:48:41 UTC
I contacted the creator of the font, Hirwen Harendal, to let him know about our packaging efforts. Besides his general appreciation for the Fedora Fonts SIG, he also has these comments:

- Gillius is a purified version of the GillSans
- Gillius No2 is made in order to mimic GillSans or be nearest (but not copy it !)

Should we do some fontconfig magic to set up Gillius No2 as an alternative for Gill Sans? They're not metrically equivalent.

Also, I'm wondering whether there's a policy about how many and which fonts to suggest as generic "sans-serif" through fontconfig.

Comment 3 Michael J Gruber 2010-11-15 09:13:18 UTC
Speaking of fontconfig:

* Mon Nov 15 2010 Michael J Gruber <mjg at fedoraproject.org> - 1.008-2
- Add fontconfig rules for Gillius ADF No2

SPEC Url: http://mjg.fedorapeople.org/rpmdev/arkandis-gillius-fonts.spec
SRPM URL:
http://mjg.fedorapeople.org/rpmdev/arkandis-gillius-fonts-1.008-2.fc14.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2601398


diff --git c/SOURCES/arkandis-gillius-fontconfig.conf i/SOURCES/arkandis-gillius-fontconfig.conf
index d85f4a6..1cda62f 100644
--- c/SOURCES/arkandis-gillius-fontconfig.conf
+++ i/SOURCES/arkandis-gillius-fontconfig.conf
@@ -4,6 +4,18 @@
   <alias>
     <family>Sans</family>
     <prefer>
+      <family>Gillius ADF No2</family>
+    </prefer>
+  </alias>
+  <alias>
+    <family>Gillius ADF No2</family>
+    <default>
+      <family>Sans</family>
+    </default>
+  </alias>
+  <alias>
+    <family>Sans</family>
+    <prefer>
       <family>Gillius ADF</family>
     </prefer>
   </alias>
diff --git c/SPECS/arkandis-gillius-fonts.spec i/SPECS/arkandis-gillius-fonts.spec
index 32745bf..abf4f1a 100644
--- c/SPECS/arkandis-gillius-fonts.spec
+++ i/SPECS/arkandis-gillius-fonts.spec
@@ -8,7 +8,7 @@
 
 Name:           %{fontname}-fonts
 Version:        1.008
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Gillius ADF sans-serif typeface family
 
 Group:          User Interface/X
@@ -61,5 +61,8 @@ ln -s %{_fontconfig_templatedir}/%{fontconf} \
 %doc NOTICE OTF/COPYING
 
 %changelog
+* Mon Nov 15 2010 Michael J Gruber <mjg at fedoraproject.org> - 1.008-2
+- Add fontconfig rules for Gillius ADF No2
+
 * Sun Nov 14 2010 Michael J Gruber <mjg at fedoraproject.org> - 1.008-1
 - Initial packaging for Fedora

Comment 4 Susi Lehtola 2010-11-15 14:13:25 UTC
Retain time stamp with
 cp -p cp %{SOURCE1} .

rpmlint output:
arkandis-gillius-fonts.src:35: W: setup-not-quiet
arkandis-gillius-fonts.src: W: no-cleaning-of-buildroot %install
arkandis-gillius-fonts.src: W: no-cleaning-of-buildroot %clean
arkandis-gillius-fonts.src: W: no-buildroot-tag
arkandis-gillius-fonts.src: W: no-%clean-section
arkandis-gillius-fonts.src:17: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 17)
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Add "-q" to %setup and check your tabs vs spaces.

If you want, you can silence rpmlint by adding the cleanings and the buildroot tag. However, this is not necessary (unless you want to build for EPEL4 or 5).

** 

To my understanding this package contains two font families: GilliusADF and GilliusADFNo2. The Font packaging guidelines at
 http://fedoraproject.org/wiki/Packaging:FontsPolicy
require you to make two subpackages in this case: one for GilliusADF and one for GilliusADFNo2. See the file 
 /etc/rpmdevtools/spectemplate-fonts-multi.spec
in fontpackages-devel for an example.

Comment 5 Michael J Gruber 2010-11-15 14:40:02 UTC
(In reply to comment #4)
> Retain time stamp with
>  cp -p cp %{SOURCE1} .
> 
> rpmlint output:
> arkandis-gillius-fonts.src:35: W: setup-not-quiet
> arkandis-gillius-fonts.src: W: no-cleaning-of-buildroot %install
> arkandis-gillius-fonts.src: W: no-cleaning-of-buildroot %clean
> arkandis-gillius-fonts.src: W: no-buildroot-tag
> arkandis-gillius-fonts.src: W: no-%clean-section
> arkandis-gillius-fonts.src:17: W: mixed-use-of-spaces-and-tabs (spaces: line 9,
> tab: line 17)
> 2 packages and 0 specfiles checked; 0 errors, 6 warnings.
> 
> Add "-q" to %setup and check your tabs vs spaces.
> 
> If you want, you can silence rpmlint by adding the cleanings and the buildroot
> tag. However, this is not necessary (unless you want to build for EPEL4 or 5).

All of these came from the abattis-cantarell spec. I'll retabify etc.

> ** 
> 
> To my understanding this package contains two font families: GilliusADF and
> GilliusADFNo2. The Font packaging guidelines at
>  http://fedoraproject.org/wiki/Packaging:FontsPolicy
> require you to make two subpackages in this case: one for GilliusADF and one
> for GilliusADFNo2. See the file 
>  /etc/rpmdevtools/spectemplate-fonts-multi.spec
> in fontpackages-devel for an example.

Well, they are 2 variants of the same family. Should I still produce 2 packages?  Rereading the policy "in strict mode" leads to "probably yes"... [First time reading it seemed silly to have a -common package for 3 doc files.] I'll do.

Comment 6 Nicolas Mailhot 2010-11-15 15:28:21 UTC
(In reply to comment #5)

> Well, they are 2 variants of the same family. Should I still produce 2
> packages? Rereading the policy "in strict mode" leads to "probably yes"...

Definitely yes. You need to separate font families for the font auto-installer to work well

> [First time reading it seemed silly to have a -common package for 3 doc files.]

You can skip the -common package and duplicate the doc files in the two subpackages if you prefer (just make sure to push the common requires in the subpackages so they're not lost). -common is easier to document than explaining all the subtleties of not using a common with many subpackages

Comment 7 Nicolas Mailhot 2010-11-15 15:29:47 UTC
Also please try to be consistent with the existing accanthis package (at least naming-wise)

Comment 8 Michael J Gruber 2010-11-15 16:01:38 UTC
(In reply to comment #7)
> Also please try to be consistent with the existing accanthis package (at least
> naming-wise)

Good to know... I'm fighting with the naming right now (gillius and gillius-no2, there's no no1).  adf-accanthis will certainly provide some guidance in this respect.

I was rather following the abattis-cantarell example...

Comment 9 Michael J Gruber 2010-11-15 16:20:09 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > Also please try to be consistent with the existing accanthis package (at least
> > naming-wise)
> 
> Good to know... I'm fighting with the naming right now (gillius and
> gillius-no2, there's no no1).  adf-accanthis will certainly provide some
> guidance in this respect.

OK, it does provide guidance, but I also noted that adf-accanthis-fonts does not Require adf-accanthis-fonts-common.

Comment 10 Michael J Gruber 2010-11-15 16:28:06 UTC
v3 incorporates all hints by Jussi and Nicolas (plus the fix for the Require in the base package):

http://mjg.fedorapeople.org/rpmdev/adf-gillius-fonts.spec

http://mjg.fedorapeople.org/rpmdev/adf-gillius-fonts-1.008-3.fc14.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=2602124

Comment 11 Susi Lehtola 2010-11-15 18:47:44 UTC
As a nitpick point, since the %{_font_pkg} macro only contains a %files section and %post and %postun sections, I would place the %{_font_pkg} macros where the %post, %postun and %files sections normally are, i.e. at the end. At least to me it is a bit confusing that they are in the middle of everything.

Personally, I would also just cut'n'paste the common description to wherever it's needed, I don't think overusing macros is a good idea.

rpmlint reports
adf-gillius-2-fonts.noarch: W: no-documentation
adf-gillius-fonts.noarch: W: no-documentation
adf-gillius-fonts.src: W: unexpanded-macro %description -l C %_font_pkg
adf-gillius-fonts.src: W: no-cleaning-of-buildroot %install
adf-gillius-fonts.src: W: no-cleaning-of-buildroot %clean
adf-gillius-fonts.src: W: no-buildroot-tag
adf-gillius-fonts.src: W: no-%clean-section
4 packages and 0 specfiles checked; 0 errors, 7 warnings.

Actually, here you see that one of the %{_font_pkg} macros has been picked up in the description.

**

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. ~OK

MUST: The package must be named according to the Package Naming Guidelines. OK
- The font guidelines adhere to a different policy than normal Fedora guidelines. [I wonder why that exception isn't in the Naming Guidelines as for other types of packages?]

MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
4939391ae6189a93d9d7d7f90a539f06  Gillius-Collection.zip
4939391ae6189a93d9d7d7f90a539f06  ../SOURCES/Gillius-Collection.zip

MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. N/A

MUST: Permissions on files must be set properly. OK
- Setting the permissions explicitly is a bit unconventional, normally we just use default permissions, that is (-,root,root) or (-,root,root,-).

MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK


***

To me the package looks good.

Comment 12 Nicolas Mailhot 2010-11-15 18:58:36 UTC
(In reply to comment #9)

> OK, it does provide guidance, but I also noted that adf-accanthis-fonts does
> not Require adf-accanthis-fonts-common.

This is a bug my side, thanks for noticing it

Comment 13 Nicolas Mailhot 2010-11-15 19:03:45 UTC
(In reply to comment #11)
> As a nitpick point, since the %{_font_pkg} macro only contains a %files section
> and %post and %postun sections, I would place the %{_font_pkg} macros where the
> %post, %postun and %files sections normally are, i.e. at the end. At least to
> me it is a bit confusing that they are in the middle of everything.

It's easy to say that when you only have two subpackages, when you have more it really help to have everything in one place

The template is really fighting rpm bugs here (for example the way rpm "forgot" to specify an end-of-description tag), it needs rpm fixes before it can be improved (I thin I've filled  rfes or asked the people in charge for fixes/workaround advices a long time ago)

Comment 14 Susi Lehtola 2010-11-19 09:45:36 UTC
This package has been

APPROVED

Comment 15 Michael J Gruber 2010-11-19 10:25:47 UTC
New Package SCM Request
=======================
Package Name: adf-gillius-fonts
Short Description: Gillius ADF sans-serif typeface family
Owners: mjg
Branches: f13 f14 el6
InitialCC: fonts-sig

Comment 16 Jason Tibbitts 2010-11-22 14:12:25 UTC
Unfortunately I cannot create this package for the same reason as the other one.

Comment 17 Jason Tibbitts 2010-11-22 15:27:25 UTC
Git done (by process-git-requests).

Comment 18 Fedora Update System 2010-11-22 19:05:21 UTC
adf-gillius-fonts-1.008-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/adf-gillius-fonts-1.008-3.fc14

Comment 19 Fedora Update System 2010-11-22 19:06:28 UTC
adf-gillius-fonts-1.008-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/adf-gillius-fonts-1.008-3.fc13

Comment 20 Fedora Update System 2010-11-23 21:51:03 UTC
adf-gillius-fonts-1.008-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update adf-gillius-fonts'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/adf-gillius-fonts-1.008-3.fc13

Comment 21 Fedora Update System 2010-12-01 21:53:44 UTC
adf-gillius-fonts-1.008-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-12-01 22:03:09 UTC
adf-gillius-fonts-1.008-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.